# identify.c File Reference

`#include "wand/studio.h"`
`#include "wand/MagickWand.h"`
`#include "wand/mogrify-private.h"`

## Defines
#define | DestroyIdentify()
#define | ThrowIdentifyException(asperity, tag, option)
#define | ThrowIdentifyInvalidArgumentException(option, argument)
## Functions
static void | IdentifyUsage (void)
WandExport MagickBooleanType | IdentifyImageCommand (ImageInfo *image_info, int argc, char **argv, char **metadata, ExceptionInfo *exception)

## Define Documentation

#define DestroyIdentify | ( |  | ) |

Value:

    { \
      for ( ; k >= 0; k--) \
        image_stack[k]=DestroyImageList(image_stack[k]); \
      for (i=0; i < (long) argc; i++) \
        argv[i]=DestroyString(argv[i]); \
      argv=(char **) RelinquishMagickMemory(argv); \
    }

#define ThrowIdentifyException | ( | asperity,
|  | tag,
|  | option |  | ) |

Value:

    { \
      (void) ThrowMagickException(exception,GetMagickModule(),asperity,tag,"`%s'", \
        option); \
      DestroyIdentify(); \
      return(MagickFalse); \
    }

#define ThrowIdentifyInvalidArgumentException | ( | option,
|  | argument |  | ) |

Value:

    { \
      (void) ThrowMagickException(exception,GetMagickModule(),OptionError, \
        "InvalidArgument","`%s': %s",argument,option); \
      DestroyIdentify(); \
      return(MagickFalse); \
    }

## Function Documentation

WandExport MagickBooleanType IdentifyImageCommand | ( | ImageInfo * | image_info,
|  | int | argc,
|  | char ** | argv,
|  | char ** | metadata,
|  | ExceptionInfo * | exception |
| ) |  |  |

static void IdentifyUsage | ( | void |  | ) | `[static]`